---------------------
PatchSet 2331 
Date: 2005/12/04 10:58:53
Author: serassio
Branch: nt
Tag: (none) 
Log:
Merged ICAP support in Visual Studio project

Members: 
	port/win32/Makefile.am:1.2.18.16->1.2.18.17 
	port/win32/squid.sln:1.1.2.5->1.1.2.6 
	port/win32/include/autoconf.h:1.2.18.11->1.2.18.12 
	port/win32/libicap/.cvsignore:1.1->1.1.2.1 
	port/win32/libicap/libicap.vcproj:1.1->1.1.2.1 
	src/ICAP/.cvsignore:1.1->1.1.2.1 

Index: squid3/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/Makefile.am,v
retrieving revision 1.2.18.16
retrieving revision 1.2.18.17
diff -u -r1.2.18.16 -r1.2.18.17
--- squid3/port/win32/Makefile.am	20 Nov 2005 16:03:50 -0000	1.2.18.16
+++ squid3/port/win32/Makefile.am	4 Dec 2005 10:59:57 -0000	1.2.18.17
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.2.18.16 2005/11/20 16:03:50 serassio Exp $
+# $Id: Makefile.am,v 1.2.18.17 2005/12/04 10:59:57 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -38,6 +38,7 @@
 	libdigest/libdigest.vcproj \
 	libgnuregex/libgnuregex.vcproj \
 	libheap/libheap.vcproj \
+	libicap/libicap.vcproj \
 	liblru/liblru.vcproj \
 	libmiscutil/libmiscutil.vcproj \
 	libnegotiate/libnegotiate.vcproj \
Index: squid3/port/win32/squid.sln
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/squid.sln,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid3/port/win32/squid.sln	6 Nov 2005 16:12:18 -0000	1.1.2.5
+++ squid3/port/win32/squid.sln	4 Dec 2005 10:59:57 -0000	1.1.2.6
@@ -3,8 +3,6 @@
 # Visual Studio 2005
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Build", "Build.vcproj", "{C50A62CE-A509-4D92-BB2D-B6AC10F29679}"
 	ProjectSection(ProjectDependencies) = postProject
-		{86E28700-5F2A-4181-A6F7-13B739E434B7} = {86E28700-5F2A-4181-A6F7-13B739E434B7}
-		{68527517-5E82-4A59-861F-F8342237DE18} = {68527517-5E82-4A59-861F-F8342237DE18}
 		{E9AE84F6-5932-40EA-9EFF-B9553993258E} = {E9AE84F6-5932-40EA-9EFF-B9553993258E}
 		{FEBC1AD4-8805-490F-86C4-EED32F9D364C} = {FEBC1AD4-8805-490F-86C4-EED32F9D364C}
 		{436115CB-6D55-48CA-9625-484F9DAE7F7E} = {436115CB-6D55-48CA-9625-484F9DAE7F7E}
@@ -18,7 +16,9 @@
 		{C8237A1B-3BA9-412F-8D48-5F7BA8A93E32} = {C8237A1B-3BA9-412F-8D48-5F7BA8A93E32}
 		{B11B1C1A-29FA-4E3C-A2A8-FACCD0FD4F18} = {B11B1C1A-29FA-4E3C-A2A8-FACCD0FD4F18}
 		{236A1219-0E12-4A5D-AB03-C1680A665F05} = {236A1219-0E12-4A5D-AB03-C1680A665F05}
+		{68527517-5E82-4A59-861F-F8342237DE18} = {68527517-5E82-4A59-861F-F8342237DE18}
 		{5A3E6817-5A3C-4F59-BC8B-5365A50D2780} = {5A3E6817-5A3C-4F59-BC8B-5365A50D2780}
+		{86E28700-5F2A-4181-A6F7-13B739E434B7} = {86E28700-5F2A-4181-A6F7-13B739E434B7}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "LDAP_auth", "LDAP_auth\LDAP_auth.vcproj", "{FEBC1AD4-8805-490F-86C4-EED32F9D364C}"
@@ -148,6 +148,8 @@
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "squid", "squid\squid.vcproj", "{C3ACE9B0-9E43-4CCB-8642-8F66F55DAEDD}"
 	ProjectSection(ProjectDependencies) = postProject
+		{8C9E4410-64C5-471D-A4E2-11CDD1E56527} = {8C9E4410-64C5-471D-A4E2-11CDD1E56527}
+		{93345CCC-5234-4178-916D-A8034D05E0EF} = {93345CCC-5234-4178-916D-A8034D05E0EF}
 		{FF99A1FE-532A-4A23-AD40-AEEE8E9BB05F} = {FF99A1FE-532A-4A23-AD40-AEEE8E9BB05F}
 		{BE74C2FC-B559-43E3-BE83-F1700D5E267D} = {BE74C2FC-B559-43E3-BE83-F1700D5E267D}
 		{E73379FA-E241-43B2-B83F-2378EBBDD24F} = {E73379FA-E241-43B2-B83F-2378EBBDD24F}
@@ -169,7 +171,6 @@
 		{AEF9372C-F983-4104-9EC3-345C9693E66B} = {AEF9372C-F983-4104-9EC3-345C9693E66B}
 		{D699E422-95DC-448E-8338-9AF3E0DD5BFB} = {D699E422-95DC-448E-8338-9AF3E0DD5BFB}
 		{5FAC2F21-D34C-46F3-8356-5D28C1136D4C} = {5FAC2F21-D34C-46F3-8356-5D28C1136D4C}
-		{8C9E4410-64C5-471D-A4E2-11CDD1E56527} = {8C9E4410-64C5-471D-A4E2-11CDD1E56527}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "squid_conf_default", "squid_conf_default.vcproj", "{DB51CEDA-D745-45BB-941F-40740526AA36}"
@@ -229,6 +230,8 @@
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "doc", "doc.vcproj", "{68527517-5E82-4A59-861F-F8342237DE18}"
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libicap", "libicap\libicap.vcproj", "{93345CCC-5234-4178-916D-A8034D05E0EF}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Win32 = Debug|Win32
@@ -415,6 +418,10 @@
 		{68527517-5E82-4A59-861F-F8342237DE18}.Debug|Win32.Build.0 = Debug|Win32
 		{68527517-5E82-4A59-861F-F8342237DE18}.Release|Win32.ActiveCfg = Release|Win32
 		{68527517-5E82-4A59-861F-F8342237DE18}.Release|Win32.Build.0 = Release|Win32
+		{93345CCC-5234-4178-916D-A8034D05E0EF}.Debug|Win32.ActiveCfg = Debug|Win32
+		{93345CCC-5234-4178-916D-A8034D05E0EF}.Debug|Win32.Build.0 = Debug|Win32
+		{93345CCC-5234-4178-916D-A8034D05E0EF}.Release|Win32.ActiveCfg = Release|Win32
+		{93345CCC-5234-4178-916D-A8034D05E0EF}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
Index: squid3/port/win32/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/include/Attic/autoconf.h,v
retrieving revision 1.2.18.11
retrieving revision 1.2.18.12
diff -u -r1.2.18.11 -r1.2.18.12
--- squid3/port/win32/include/autoconf.h	22 May 2005 09:11:58 -0000	1.2.18.11
+++ squid3/port/win32/include/autoconf.h	4 Dec 2005 10:59:57 -0000	1.2.18.12
@@ -198,6 +198,9 @@
 /* Define to 1 if you have the <inttypes.h> header file. */
 /* #undef HAVE_INTTYPES_H */
 
+/* Define to 1 if you have the <ipl.h> header file. */
+/* #undef HAVE_IPL_H */
+
 /* Define to 1 if you have the <ip_compat.h> header file. */
 /* #undef HAVE_IP_COMPAT_H */
 
@@ -213,6 +216,9 @@
 /* Define to 1 if you have the `44bsd' library (-l44bsd). */
 /* #undef HAVE_LIB44BSD */
 
+/* Define to 1 if you have the `aio' library (-laio). */
+/* #undef HAVE_LIBAIO */
+
 /* Define to 1 if you have the `bind' library (-lbind). */
 /* #undef HAVE_LIBBIND */
 
@@ -324,6 +330,9 @@
 /* Define to 1 if you have the <netinet/in.h> header file. */
 /* #undef HAVE_NETINET_IN_H */
 
+/* Define to 1 if you have the <netinet/ipl.h> header file. */
+/* #undef HAVE_NETINET_IPL_H */
+
 /* Define to 1 if you have the <netinet/ip_compat.h> header file. */
 /* #undef HAVE_NETINET_IP_COMPAT_H */
 
@@ -366,6 +375,9 @@
 /* Define to 1 if you have the <openssl/ssl.h> header file. */
 #define HAVE_OPENSSL_SSL_H 1
 
+/* pad128_t is defined in system headers */
+/* #undef HAVE_PAD128_T */
+
 /* pid_t is defined by the system headers */
 #define HAVE_PID_T 1
 
@@ -375,6 +387,9 @@
 /* Define to 1 if you have the <poll.h> header file. */
 /* #undef HAVE_POLL_H */
 
+/* Define to 1 if you have the `prctl' function. */
+/* #undef HAVE_PRCTL */
+
 /* Define to 1 if you have the `pthread_attr_setschedparam' function. */
 /* #undef HAVE_PTHREAD_ATTR_SETSCHEDPARAM */
 
@@ -579,6 +594,9 @@
 /* Define to 1 if you have the <sys/param.h> header file. */
 /* #undef HAVE_SYS_PARAM_H */
 
+/* Define to 1 if you have the <sys/prctl.h> header file. */
+/* #undef HAVE_SYS_PRCTL_H */
+
 /* Define to 1 if you have the <sys/resource.h> header file. */
 /* #undef HAVE_SYS_RESOURCE_H */
 
@@ -636,6 +654,9 @@
 /* Do we have unix sockets? (required for the winbind ntlm helper */
 /* #undef HAVE_UNIXSOCKET */
 
+/* upad128_t is defined in system headers */
+/* #undef HAVE_UPAD128_T */
+
 /* Define to 1 if you have the <utime.h> header file. */
 /* #undef HAVE_UTIME_H */
 
@@ -671,6 +692,9 @@
    behaviour. Setting this to '0' will disable such code. */
 #define HTTP_VIOLATIONS 1
 
+/* Enable ICAP client features in Squid */
+#define ICAP_CLIENT 1
+
 /* Enable support for Transparent Proxy on systems using IP-Filter address
    redirection. This provides "masquerading" support for non Linux system. */
 /* #undef IPF_TRANSPARENT */
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/libicap/.cvsignore	Wed Feb 14 13:35:49 2007
@@ -0,0 +1,3 @@
+*.user
+Debug
+Release
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/libicap/libicap.vcproj	Wed Feb 14 13:35:49 2007
@@ -0,0 +1,287 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="libicap"
+	ProjectGUID="{93345CCC-5234-4178-916D-A8034D05E0EF}"
+	RootNamespace="libicap"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory=".\Debug"
+			IntermediateDirectory=".\Debug"
+			ConfigurationType="4"
+			CharacterSet="2"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;HAVE_CONFIG_H"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="false"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="2"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="../../../include,../../../src,../include"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;HAVE_CONFIG_H"
+				StringPooling="true"
+				RuntimeLibrary="0"
+				EnableFunctionLevelLinking="true"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="false"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\..\src\ICAP\ChunkedCodingParser.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPClient.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPClientReqmodPrecache.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPClientRespmodPrecache.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPConfig.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPElements.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPModXact.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPOptions.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPOptXact.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPServiceRep.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPXaction.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\MsgPipe.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\TextException.cc"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\..\src\ICAP\ChunkedCodingParser.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPClient.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPClientReqmodPrecache.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPClientRespmodPrecache.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPConfig.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPElements.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPModXact.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPOptions.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPOptXact.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPServiceRep.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\ICAPXaction.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\MsgPipe.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\MsgPipeData.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\MsgPipeEnd.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\MsgPipeSink.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\..\src\ICAP\TextException.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/src/ICAP/.cvsignore	Wed Feb 14 13:35:49 2007
@@ -0,0 +1,3 @@
+.deps
+Makefile
+Makefile.in
